#!/bin/bash
echo "Запускается скрипт установки elo singletouch usb драйвера"
sleep 1s; clear
echo "5 Отключите USB-кабель сенсорного монитора от компьютера"
sleep 1s; clear
echo "4 Отключите USB-кабель сенсорного монитора от компьютера"
sleep 1s; clear
echo "3 Отключите USB-кабель сенсорного монитора от компьютера"
sleep 1s; clear
echo "2 Отключите USB-кабель сенсорного монитора от компьютера"
sleep 1s; clear
echo "1 Отключите USB-кабель сенсорного монитора от компьютера"
sleep 1s; clear
echo "0 Отключите USB-кабель сенсорного монитора от компьютера"
sleep 1s; clear
echo "Установка"
sleep 0.5s; clear
echo "Создание временной папки в домашней директории"
mkdir ~/elo
echo "Копирование файлов во временную папку"
cp -r ~/Ubuntu-12.04_14.04_Singletouch/* ~/elo/
sleep 0.5s; clear
echo "Установка lxterminal"
sudo dpkg --install ~/elo/*.deb
sleep 0.5s; clear
echo "Копирование архива драйвера в домашнюю директорию"
cp -r ~/elo/SW601383_Elo_Linux_USB_Driver_v3.5.2-1_i686.tgz ~/SW601383_Elo_Linux_USB_Driver_v3.5.2-1_i686.tgz
sleep 0.5s; clear
echo "Распаковка архива драйвера"
tar -zxvf ~/SW601383_Elo_Linux_USB_Driver_v3.5.2-1_i686.tgz
sleep 0.5s; clear
echo "Копирование elo-usb"
cp -r ~/bin-usb/ /etc/opt/elo-usb
sleep 0.5s; clear
echo "Установка прав 777 на все файлы в elo-usb"
chmod 777 /etc/opt/elo-usb/*
sleep 0.5s; clear
echo "Установка прав 444 на txt файлы в elo-usb"
chmod 444 /etc/opt/elo-usb/*.txt
sleep 0.5s; clear
echo "Копирование правил"
cp -r /etc/opt/elo-usb/99-elotouch.rules /etc/udev/rules.d
sleep 0.5s; clear
echo "Копирование elorc в init.d"
cp /etc/opt/elo-usb/elorc /etc/init.d
sleep 0.5s; clear
echo "Установка elorc в автозапуск"
cd /etc/rc2.d
update-rc.d elorc start 99 2 .
sleep 0.5s; clear
echo "Добавление скрипта autostart в автозапуск для продолжения установки после перезагрузки"
cp -r ~/elo/autostart.script /etc/init.d/autostart.script
sleep 0.5s; clear
echo "Установка прав x на autostart"
chmod +x /etc/init.d/autostart.script
sleep 0.5s; clear
echo "Подтверждение автозапуска на autostart"
update-rc.d autostart.script defaults 95
sleep 0.5s; clear
echo "Копирование кнопки калибровки в домашнюю директорию"
cp -r ~/elo/калибровка ~/калибровка.sh
sleep 0.5s; clear
echo "Установка прав x на калибровка"
chmod 755 ~/калибровка.sh
sleep 0.5s; clear
echo "Удаление временных файлов"
rm -r ~/SW601383_Elo_Linux_USB_Driver_v3.5.2-1_i686.tgz
rm -r ~/elo/*
sleep 0.5s; clear
echo "Удаление временной папки"
rmdir ~/elo
sleep 0.5s; clear
echo "Установка elo singletouch usb драйвера завершена"
sleep 1s; clear
echo "Компьютер будет перезагружен, нажмите Ctl+C для отмены"
sleep 1s; clear
sleep 1s; echo "Автор программы установки Yudaev O.P."
sleep 1s; echo "права General Public License 2014"
sleep 3s; clear
sleep 1s; echo "Перезагрузка компьютера"
sleep 1s; shutdown -r now
